Update administrative user fields
curl --request PATCH \
--url https://demo.dezerx.com/api/application/users/{user} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"avatar": "<string>",
"banner": "<string>",
"footer_message": "<string>",
"contact_info": {},
"customer_pin": "<string>",
"loyalty_points": 1,
"subscribed_to_emails": true,
"email_verified": true,
"phone_verified": true,
"google2fa_enabled": true,
"discord_id": "<string>",
"google_id": "<string>",
"github_id": "<string>",
"ip": "<string>",
"supported_creator_code": "<string>",
"creator_code_locked": true,
"stripe_id": "<string>",
"pm_type": "<string>",
"pm_last_four": "<string>",
"pm_notes": "<string>"
}
'import requests
url = "https://demo.dezerx.com/api/application/users/{user}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"avatar": "<string>",
"banner": "<string>",
"footer_message": "<string>",
"contact_info": {},
"customer_pin": "<string>",
"loyalty_points": 1,
"subscribed_to_emails": True,
"email_verified": True,
"phone_verified": True,
"google2fa_enabled": True,
"discord_id": "<string>",
"google_id": "<string>",
"github_id": "<string>",
"ip": "<string>",
"supported_creator_code": "<string>",
"creator_code_locked": True,
"stripe_id": "<string>",
"pm_type": "<string>",
"pm_last_four": "<string>",
"pm_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
role: '<string>',
avatar: '<string>',
banner: '<string>',
footer_message: '<string>',
contact_info: {},
customer_pin: '<string>',
loyalty_points: 1,
subscribed_to_emails: true,
email_verified: true,
phone_verified: true,
google2fa_enabled: true,
discord_id: '<string>',
google_id: '<string>',
github_id: '<string>',
ip: '<string>',
supported_creator_code: '<string>',
creator_code_locked: true,
stripe_id: '<string>',
pm_type: '<string>',
pm_last_four: '<string>',
pm_notes: '<string>'
})
};
fetch('https://demo.dezerx.com/api/application/users/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {},
"message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Users
Update administrative user fields
Passwords, 2FA secrets, backup codes, and verification codes are never mass writable.
PATCH
/
users
/
{user}
Update administrative user fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
255Required range:
x >= 0Maximum string length:
4Was this page helpful?
⌘I

